> For the complete documentation index, see [llms.txt](https://help.join.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.join.com/spanish/join-api/api-documentation.md).

# API documentation

### Get started

This reference helps you implement the RESTful JOIN API v2. The API allows you to interact with your JOIN data programmatically – for example, to fetch job listings, retrieve applications, or manage candidate records.

The JOIN API is stateless, meaning each request must include authentication and does not rely on prior interactions. To use the API, you’ll need to generate an API token from your JOIN account.

<a href="https://docs.join.com/reference/getting-started" class="button primary">Read full API documentation</a>

***

### Authentication

To validate your API requests, JOIN requires an API token. This token identifies you and links actions performed via the API to your JOIN account.

#### Generating an API token

1. Go to `User Settings` in your JOIN account
2. Click `API Credentials`
3. Click `Generate new Token`

{% hint style="warning" %}
Keep your API token secure. It provides access to your company data in JOIN, including the ability to read, update or delete information.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://help.join.com/spanish/join-api/api-documentation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
